Bug Hunting Session
Bug 58646 - RTF: \page is not rendered
Summary: RTF: \page is not rendered
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.4.3 release
Hardware: Other Windows (All)
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: BSA target:4.1.0 target:4.0.1 target:...
Keywords: filter:rtf, regression
Depends on:
Blocks:
 
Reported: 2012-12-22 10:21 UTC by Bernard Moreton
Modified: 2016-09-11 12:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample document with bad \page rendering (6.08 KB, application/rtf)
2013-01-11 11:05 UTC, Bernard Moreton
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Moreton 2012-12-22 10:21:08 UTC
Problem description:
In the RTF spec., \page should produce a single new-page, not part of paragraph properties 

Steps to reproduce:
import an RTF document that includes \page

Current behavior:
ignored

Expected behavior:
new page 

              
Operating System: Windows XP
Version: 3.6.4.3 release
Last worked in: unspecified
Comment 1 Bernard Moreton 2012-12-22 16:26:55 UTC
I have to correct this - \page is not rendered as it used to be, in a document format that used to open well in MS Word (sadly no longer available to me).  But a simple document, constructed from one of these formats, renders \page perfectly well.  

So there is a problem, but not a failure.  Maybe I was just lucky before!  I've rewritten the generating application anyway, to use \pagebb so please close this issue.
Comment 2 Bernard Moreton 2012-12-24 09:49:08 UTC
The problem was that when a box is defined within a paragraph, then "\page\par " fails to render the pagebreak, as it used to do.  "\par \page" is fine, however.
Comment 3 Miklos Vajna 2013-01-11 06:55:33 UTC
Can you please attach a document that can reproduce the issue?

Thanks!
Comment 4 Bernard Moreton 2013-01-11 11:05:23 UTC
Created attachment 72848 [details]
sample document with bad \page rendering

With sensitive data replaced by x's, there is now a page feed as there wasn't before - but still not in the right place.  Replacing "\page\par" with "\par \page" should get the page feed in the right place.
Comment 5 Jorendc 2013-02-01 00:44:42 UTC
I can reproduce this behavior using attached RTF.

@Miklos: Can you take further care of this bug/enhancement?

Thanks for reporting,
Joren
Comment 6 Miklos Vajna 2013-02-02 14:17:19 UTC
So, it seems \page is indeed ignored, but only in case there was a \sbknone _and_ a \titlepg before.
Comment 7 Not Assigned 2013-02-02 14:41:46 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3974e9952102dbfb4f004872768b1096133bd9a5

fdo#58646 fix import of RTF_PAGE in cont section when having titlepg



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Miklos Vajna 2013-02-02 16:39:08 UTC
-4-0 review: https://gerrit.libreoffice.org/1968
Comment 9 Not Assigned 2013-02-05 20:38:40 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bc6a23a47936f6d74f5348a22ada4874945dc884&h=libreoffice-4-0

fdo#58646 fix import of RTF_PAGE in cont section when having titlepg


It will be available in LibreOffice 4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2013-06-28 08:07:29 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-6-7":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a90bf4be9990ec8ccf4abed9ac09c59cd0ebfb2c&h=libreoffice-3-6-7

fdo#58646 fix import of RTF_PAGE in cont section when having titlepg


It will be available already in LibreOffice 3.6.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2013-07-09 10:56:36 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=29a2c9e208facd1956fa2dd03d66c7ad8ae5deee&h=libreoffice-3-6

fdo#58646 fix import of RTF_PAGE in cont section when having titlepg


It will be available in LibreOffice 3.6.8.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Robinson Tryon (qubit) 2015-12-17 12:09:06 UTC Comment hidden (obsolete)
Comment 13 Jack 2016-09-08 14:33:49 UTC
The problem remains: Import of a RTF with {\page } leads into a corrupted document without correct page intersections. MS Word interpret this correctly.
A RTF with {\f0\fs18 \page } or a \page without curly brackets seems to work.

Operating System: Windows 8.1
Version: 5.1.5.2
Comment 14 Miklos Vajna 2016-09-11 12:11:57 UTC
Sorry, closing again. This bug was marked as fixed 3 years ago, the testcase in question still passes. You have a similar, but not equivalent problem. Please open a followup *new* bugreport, and I'm happy to take a look.

Thanks!